Bug 398601 - Review Request: cairo-clock - Cairo-rendered on-screen clock
Review Request: cairo-clock - Cairo-rendered on-screen clock
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Haïkel Guémar
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-25 13:51 EST by Benoît Marcelin
Modified: 2008-03-06 11:34 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.3.3-3.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-06 11:33:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
karlthered: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Benoît Marcelin 2007-11-25 13:51:33 EST
Spec URL: http://sereinity.free.fr/fedora/cairo-clock.spec
SRPM URL: http://sereinity.free.fr/fedora/cairo-clock-0.3.3-1.fc7.src.rpm
Description: Cairo-Clock is a desktop clock using cairo for rendering and taking advantage of the Composite extension on newer Xorg servers.
Comment 1 Haïkel Guémar 2007-12-09 09:08:56 EST
Ok, it builds under Mock and it does run. Rpmlint runs OK.
Some issues that should be fixed:
- No pseudonyms. Use your real name and your personal/fedoraproject email.
- vendor should be Fedora.
- %makeinstall macro should not be used.
- Can't download sources. Any input ?
- useless BR: libglade2-devel requires gtk2-devel which requires pango-devel

Please note that + items are OK, - items should be fixed or justified, ~ items
needs further investigation.

* MUST items
+ Respect naming guidelines.
+ License: GPLv2 OK
+ The spec file must be written in American English.
+ The spec file for the package MUST be legible.
- The sources used to build the package must match the upstream source, as
provided in the spec URL. Reviewers should use md5sum for this task. If no
upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this.
+ Compile on i386 and x86_64 at least.
+ locales are properly handled.
+ Every binary RPM package which stores shared library files (not just symlinks)
in any of the dynamic linker's default paths, must call ldconfig in %post and
+ Not relocatable.
+ A package must own all directories that it creates.
+ A package must not contain any duplicate files in the %files listing.
+ Permissions on files must be set properly. 
+ Each package must have a %clean section, which contains rm -rf %{buildroot}
+ Each package must consistently use macros, as described in the macros section
of Packaging Guidelines.
+ The package must contain code, or permissable content. 
+ Large documentation files should go in a -doc subpackage. (The definition of
large is left up to the packager's best judgement, but is not restricted to
size. Large can refer to either size or quantity)
+ If a package includes something as %doc, it must not affect the runtime of the
+ Header files must be in a -devel package.
+ Static libraries must be in a -static package.
+ Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for
directory ownership and usability).
+ If a package contains library files with a suffix (e.g. libfoo.so.1.1), then
library files that end in .so (without suffix) must go in a -devel package.
+ In the vast majority of cases, devel packages must require the base package
using a fully versioned dependency: Requires: %{name} = %{version}-%{release} 
+ Packages must NOT contain any .la libtool archives, these should be removed in
the spec.
+ Packages containing GUI applications must include a %{name}.desktop file, and
that file must be properly installed with desktop-file-install in the %install
+ Packages must not own files or directories already owned by other packages.  
+ At the beginning of %install, each package MUST run rm -rf %{buildroot} (or
+ All filenames in rpm packages must be valid UTF-8.

+ Includes licenses text.
+ The description and summary sections in the package spec file should contain
translations for supported Non-English languages, if available.
+ Builds in mock (i386 & x86_64)
~ Builds on i386 & x86_64 (not tested on PPC)
+ runs without segmentation faults
+ No scriptlets.
+ No subpackages.
+ The placement of pkgconfig(.pc) files depends on their usecase, and this is
usually for development purposes, so should be placed in a -devel pkg. A
reasonable exception is that the main pkg itself is a devel tool not installed
in a user runtime, e.g. gcc or gdb.
+ If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin,
or /usr/sbin consider requiring the package which provides the file instead of
the file itself. Please see File Dependencies in the Guidelines for further
Comment 2 Benoît Marcelin 2007-12-09 10:08:09 EST
Ok, it's fixed
Spec URL: http://sereinity.free.fr/fedora/cairo-clock.spec
SRPM URL: http://sereinity.free.fr/fedora/cairo-clock-0.3.3-1.fc8.src.rpm
Comment 3 Haïkel Guémar 2007-12-09 10:48:55 EST
+ Mock is OK.
+ Sources match sha1sum from upstream.
+ %makeinstall issue fixed
+ vendor issue fixed.
- you left one pseudo and forgot to add your email.
- bump the release version. ;-)
Then, I think it will be OK for inclusion in Fedora Package Collection.
Comment 4 Mamoru TASAKA 2007-12-09 10:55:54 EST
Haïkel, if you think this package is okay, please assign this bug
to yourself, change status and set fedora-review flag appropriately.
Comment 5 Benoît Marcelin 2007-12-09 16:58:40 EST
Thanks, it's cleaned
New SRPM URL : http://sereinity.free.fr/fedora/cairo-clock-0.3.3-2.fc8.src.rpm
Comment 6 Mamoru TASAKA 2007-12-19 09:32:38 EST
Benoît, it seems that this bug is approved. Please import this package
into Fedora.
Comment 7 Haïkel Guémar 2007-12-19 16:05:17 EST
This is OK for me ! :o)

I don't see any further issues/blockers, so this package is APPROVED. 
Please close this NEXTRELEASE once it's been imported and built. 

Welcome to Fedora Packagers Family ! 

Comment 8 Chitlesh GOORAH 2007-12-19 17:35:16 EST
Benoît, sounds like you have not yet been sponsored for cvs-extras.

Please visit : https://admin.fedoraproject.org/accounts/userbox.cgi?_edit=1

Add yourself as under the groupname "cvsextras", so as I can approve you.

Once you are done, you'll need to wait till I'll grant you the access :)

#001: please apply the required timestamps:
instead of : make install DESTDIR=%{buildroot}
use: %{__make} INSTALL="install -p" DESTDIR=$RPM_BUILD_ROOT
during the %{__make} install process there needs to be a "-p" in this
/usr/bin/install -c -m 644 'clock-face.svg' '....

#002: please use the same email address as that of your "fedora account" in 
the %changelog

#003: are these requires realy needed ??
Avoid the use of versions in Requires as far as you can
Requires:	perl-XML-Parser
Requires:	libglade2 >= 2.6.0
Requires:	librsvg2 >= 2.14.0

#004: drop INSTALL from %doc, because the user doesn't need that file since 
it's your job to compile the package :)

#005 	--vendor Fedora
please rename it to
--vendor fedora (small f)

ls /usr/share/applications/ | grep fedora

you will see that most are starts with "f".

All these are not blockers, but it helps others to quickily understandy tour 
spec and help you eventually. :)
Comment 9 Mamoru TASAKA 2008-02-05 09:32:52 EST
Would someone update this bug?
Comment 11 Chitlesh GOORAH 2008-02-09 13:49:47 EST
from your spec file:
%{__rm} $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

desktop-file-install					\
	--vendor fedora					\
	--add-category X-Fedora				\
	--dir $RPM_BUILD_ROOT%{_datadir}/applications	\

to have a clean spec file you could do the following in the future
desktop-file-install --vendor fedora           \
        --delete-original                          \
	--add-category X-Fedora				\
	--dir $RPM_BUILD_ROOT%{_datadir}/applications	\

I'm sponsoring.
Comment 12 Chitlesh GOORAH 2008-02-09 13:52:13 EST
Please follow the following guidelines to commit to CVS

Please DO NOT REQUEST a "devel" branch if this package is not compatible with 
Comment 13 Chitlesh GOORAH 2008-02-09 13:53:34 EST
Sorry, a small mistake on #11:

desktop-file-install --vendor fedora           \
        --delete-original                          \
        --add-category X-Fedora                         \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications   \
Comment 14 Benoît Marcelin 2008-02-09 14:44:12 EST
New Package CVS Request
Package Name: cairo-clock
Short Description: Cairo-rendered on-screen clock
Owners: sereinit
Branches: F-7 F-8
InitialCC: none
Cvsextras Commits: yes
Comment 15 Kevin Fenzi 2008-02-10 15:13:33 EST
Note that a devel branch is always created. 
You can still build against kde3 in devel by BuildRequiring the approprate kde3
development packages. 

cvs done.
Comment 16 Chitlesh GOORAH 2008-02-10 16:58:25 EST
(In reply to comment #12)
> Please DO NOT REQUEST a "devel" branch if this package is not compatible with 
> KDE4.

Please ignore this !
this package doesn't need kde 
Comment 17 Fedora Update System 2008-02-15 04:05:49 EST
cairo-clock-0.3.3-3.fc7 has been submitted as an update for Fedora 7
Comment 18 Fedora Update System 2008-02-15 04:07:16 EST
cairo-clock-0.3.3-3.fc8 has been submitted as an update for Fedora 8
Comment 19 Fedora Update System 2008-03-06 11:33:00 EST
cairo-clock-0.3.3-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2008-03-06 11:34:03 EST
cairo-clock-0.3.3-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.